## ros-r2b3-joy 1.11.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(joy)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)  # -Wpedantic
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)

# for now, this program only exists for Linux hosts, since it calls into
# the underlying joystick driver provided by the Linux kernel.
if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
  # Look for <linux/joystick.h>
  include(CheckIncludeFiles)
  check_include_files(linux/joystick.h HAVE_LINUX_JOYSTICK_H)

  if(HAVE_LINUX_JOYSTICK_H)
    include_directories(msg/cpp ${catkin_INCLUDE_DIRS})
    add_executable(joy_node src/joy_node_linux.cpp)
    ament_target_dependencies(joy_node
      "rclcpp"
      "sensor_msgs")
    install(TARGETS joy_node DESTINATION lib/${PROJECT_NAME})
  else()
    message(FATAL_ERROR "no <linux/joystick.h>; can't build joy node")
  endif()

endif()

ament_package()

=== debian/changelog ===
ros-r2b3-joy (1.11.0-2xenial) xenial; urgency=high

  * fixed joy/Cmakelists for osx
  * Update dependencies to remove warnings
  * Contributors: Marynel Vazquez, Mark D Horn

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 10 Feb 2017 05:00:00 -0000

ros-r2b3-joy (1.10.1-2xenial) xenial; urgency=high

  * Remove stray architechture_independent flags
  * Contributors: Jonathan Bohren, Scott K Logan

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 24 May 2015 04:00:00 -0000

ros-r2b3-joy (1.10.0-2xenial) xenial; urgency=high

  * First indigo release

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 26 Jun 2014 04:00:00 -0000

=== debian/control ===
Source: ros-r2b3-joy
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-r2b3-ament-cmake, ros-r2b3-rclcpp, ros-r2b3-sensor-msgs, ros-r2b3-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-r2b3-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-r2b3-rclcpp, ros-r2b3-sensor-msgs, ros-r2b3-ros-workspace
Description: ROS2 driver for a generic Linux joystick.
 Will contain a MacOS and Windows version later. The joy package contains joy_node, a node that interfaces a generic Linux joystick to ROS2. This node publishes a &quot;Joy&quot; message, which contains the current state of each one of the joystick's buttons and axes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/r2b3/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b3/setup.sh" ]; then . "/opt/ros/r2b3/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/r2b3" \
		-DAMENT_PREFIX_PATH="/opt/ros/r2b3"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b3/setup.sh" ]; then . "/opt/ros/r2b3/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/r2b3/setup.sh" ]; then . "/opt/ros/r2b3/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b3/setup.sh" ]; then . "/opt/ros/r2b3/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-r2b3-joy//opt/ros/r2b3/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b3/setup.sh" ]; then . "/opt/ros/r2b3/setup.sh"; fi && \
	dh_auto_install
